## vaapih265enc vaapih265enc — A VA-API based HEVC video encoder |

## Properties

guint | bitrate | Read / Write
guint | init-qp | Read / Write
guint | keyframe-period | Read / Write
guint | max-bframes | Read / Write
guint | min-qp | Read / Write
guint | num-slices | Read / Write
GstVaapiRateControlH265 | rate-control | Read / Write
GstVaapiEncoderTuneH265 | tune | Read / Write
guint | cpb-length | Read / Write

## Description

Encodes raw video streams into HEVC bitstreams.

### Example launch line

    1
    gst-launch-1.0 -ev videotestsrc num-buffers=60 ! timeoverlay ! vaapih265enc ! h265parse ! matroskamux ! filesink location=test.mkv

## Functions

## Types and Values

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

The desired bitrate expressed in kbps (0: auto-calculate).

Flags: Read / Write

Allowed values: <= 102400

Default value: 0

### The `“init-qp”` property

      “init-qp”                  guint

Initial quantizer value.

Flags: Read / Write

Allowed values: [1,51]

Default value: 26

### The `“keyframe-period”` property

      “keyframe-period”          guint

Maximal distance between two keyframes (0: auto-calculate).

Flags: Read / Write

Allowed values: [1,300]

Default value: 30

### The `“max-bframes”` property

      “max-bframes”              guint

Number of B-frames between I and P.

Flags: Read / Write

Allowed values: <= 10

Default value: 0

### The `“min-qp”` property

      “min-qp”                   guint

Minimum quantizer value.

Flags: Read / Write

Allowed values: [1,51]

Default value: 1

### The `“num-slices”` property

      “num-slices”               guint

Number of slices per frame.

Flags: Read / Write

Allowed values: [1,200]

Default value: 1

### The `“rate-control”` property

      “rate-control”             GstVaapiRateControlH265

Rate control mode.

Flags: Read / Write

Default value: Constant QP

### The `“tune”` property

      “tune”                     GstVaapiEncoderTuneH265

Encoder tuning option.

Flags: Read / Write

Default value: None

### The `“cpb-length”` property

      “cpb-length”               guint

Length of the CPB buffer in milliseconds.

Flags: Read / Write

Allowed values: [1,10000]

Default value: 1500